From 33f590dfffc20e5d68425d18980f6446d8479cbd Mon Sep 17 00:00:00 2001
From: Chia-I Wu <olv@openmoko.com>
Date: Mon, 27 Oct 2008 16:48:33 +0800
Subject: [PATCH] fastboot: fastboot image.

Let's start with a minimal image.
---
 packages/images/openmoko-fastboot-image.bb |   16 +++++
 packages/tasks/task-openmoko-fastboot.bb   |   95 ++++++++++++++++++++++++++++
 2 files changed, 111 insertions(+), 0 deletions(-)
 create mode 100644 packages/images/openmoko-fastboot-image.bb
 create mode 100644 packages/tasks/task-openmoko-fastboot.bb

diff --git a/packages/images/openmoko-fastboot-image.bb b/packages/images/openmoko-fastboot-image.bb
new file mode 100644
index 0000000..4d99ccb
--- /dev/null
+++ b/packages/images/openmoko-fastboot-image.bb
@@ -0,0 +1,16 @@
+IMAGE_LINGUAS = ""
+IMAGE_INSTALL = "task-openmoko-fastboot"
+
+DEPENDS = "${IMAGE_INSTALL}"
+
+create_static_udev_devices () {
+	UDEVDIR="${IMAGE_ROOTFS}/lib/udev"
+
+	if [ -f "${UDEVDIR}/udev_devices.tar.gz" ]; then
+		tar -C ${UDEVDIR} -zx -f "${UDEVDIR}/udev_devices.tar.gz"
+	fi
+}
+
+inherit image
+
+ROOTFS_POSTPROCESS_COMMAND += "rootfs_update_timestamp; create_static_udev_devices"
diff --git a/packages/tasks/task-openmoko-fastboot.bb b/packages/tasks/task-openmoko-fastboot.bb
new file mode 100644
index 0000000..5aa51ab
--- /dev/null
+++ b/packages/tasks/task-openmoko-fastboot.bb
@@ -0,0 +1,95 @@
+DESCRIPTION = "Om 2008.9 fastboot"
+SECTION = "openmoko/base"
+LICENSE = "MIT"
+PR = "r6"
+
+inherit task
+
+PACKAGE_ARCH = "${MACHINE_ARCH}"
+PACKAGES = "task-openmoko-fastboot"
+
+task_boot = "				\
+	kernel				\
+	base-files			\
+	base-passwd			\
+	busybox				\
+	initscripts-openmoko		\
+	netbase				\
+	update-alternatives		\
+	udev				\
+	sysvinit			\
+	sysvinit-pidof			\
+	tinylogin			\
+"
+
+task_base = "				\
+	dropbear			\
+	procps				\
+	kernel-modules			\
+	atd				\
+	module-init-tools		\
+	util-linux-mount		\
+	util-linux-umount		\
+	apm				\
+	apmd				\
+	alsa-utils-alsactl		\
+	alsa-utils-alsamixer		\
+	alsa-scenario			\
+	alsa-state			\
+	usbutils			\
+	bluez-utils			\
+	wireless-tools			\
+	wpa-supplicant			\
+	ppp				\
+	ppp-dialin			\
+"
+
+task_openmoko_linux = "			\
+	screen				\
+	fbset				\
+	fbset-modes			\
+	strace				\
+"
+
+task_openmoko_qtopia_x11 = "		\
+"
+
+task_openmoko_asu = "			\
+	illume-theme-asu		\
+	illume-dicts-english-us		\
+	illume-keyboards-default	\
+	illume-keyboards-numbers	\
+	illume-keyboards-terminal	\
+	diversity-daemon		\
+	om-locations			\
+	om-maps-low-levels		\
+	pyefl-sudoku			\
+	etk-theme-ninja			\
+	opkg-collateral			\
+"
+
+task_openmoko_basic = "			\
+	illume-theme-illume		\
+	illume				\
+	e-wm				\
+	${XSERVER}			\
+	xserver-kdrive-common		\
+	xserver-nodm-init		\
+	xauth				\
+	xhost				\
+	xset				\
+	xrandr				\
+	assassin			\
+	assassin-thumbnail		\
+	om-settings			\
+	openmoko-community-repository	\
+"
+
+RDEPENDS_task-openmoko-fastboot = "	\
+	${task_boot}			\
+	${task_base}			\
+	${task_openmoko_linux}		\
+	${task_openmoko_qtopia_x11}	\
+	${task_openmoko_asu}		\
+	${task_openmoko_basic}		\
+"
-- 
1.5.6.3

